when:
  - event: ["pull_request"]
  - event: ["push"]
    branch: ["main"]
engine: "microvm"
clone:
  depth: 1

dependencies:
  - go
  - gnumake
  - gcc
  - pkg-config
  - cacert

environment:
  GOEXPERIMENT: "loopvar"
steps:
  - name: "lint"
    command: |
      set -euo pipefail
      go version
      make lint

